Bug 183978 - kudzu cause kernel panic at startup up
kudzu cause kernel panic at startup up
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-03-04 09:03 EST by WangKeMeng
Modified: 2015-01-04 17:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 02:23:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description WangKeMeng 2006-03-04 09:03:25 EST
Description of problem:
kernel panic at kudzu startup step on a Acer Ferrari 4002 notebook.
skip this stage, firstboot also cause kernel panic

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2009.4.2_FC5
kudzu-1.2.33

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2006-03-05 00:44:13 EST
What is the panic?
Comment 2 WangKeMeng 2006-03-05 03:08:11 EST
Sorry, I'am first write bug report.

Description of problem:
After install FC5 test 3, kudzu crash at startup,and fristboot hangs
skip kudzu & firstboot, update kudzu & kernel from rawhid, but kudzu hangs
kernel at startup.I think this may be a bug in ati Xorg driver, but kudzu should
not cause hangs(every thing not response,mouse, keyboard etc).

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2009.4.2_FC5
kudzu-1.2.33

How reproducible:


Steps to Reproduce:
1.Install FC5 test3, kudzu crash at startup stage, skip it, and skip firstboot
2.update kudzu & kernel from rawhide
3.reboot, this time kudzu hangs

Additional info:
Acer Ferrari 4002
CPU Turion 64 1.6Mhz
1G RAM
ATI X700 Graphic card
Comment 3 Dave Jones 2006-03-06 11:42:57 EST
when you say ati Xorg driver, do you mean the firegl driver? 
Comment 4 WangKeMeng 2006-03-06 19:38:35 EST
No, I am not install a firegl driver from ATI, it is xorg-x11-drv-ati-6.5.7.3-4,
there are too many bugs in xorg's x700 driver. Install FC5 test3, it can not
detect LCD panel,I had to connect to a external CTR. After install stage,
reboot, firstboot hangs kernel at startup, i think firstboot may try to detect
and setup video mode, this cause the hangs.Skip kudzu & firstboot at starup
stage, enter root, run system-config-display, it also hangs, so i think it may
be a bug in xorg-x11-drv-ati.
Comment 5 WangKeMeng 2006-03-06 20:45:42 EST
I have a mistake, xorg-x11-drv-ati is not a kernel mode driver, please check aty
kernel driver.
Comment 6 WangKeMeng 2006-03-09 00:40:49 EST
Update kernel,kudzu,firstboot,system-config-display from rawhide, alse hangs.
kernel-2.6.15-1.2032_FC5
kudzu-1.2.34.1-1
firstboot-1.4.6-1
system-config-display-1.0.37-1
Comment 7 Erik van Pienbroek 2006-03-13 13:02:47 EST
I'm experiencing the same problem with the latest rawhide build (2006-03-13).
If I boot in text-mode (without the rhgb boot option) everything boots normal.
When in graphical boot the system freezes (no messages in the console) when
kuzdu is launched.

My specs :
Acer Aspire 5024WLMi
AMD Turion 1.8Ghz proc
ATI Mobility Radeon X700 (PCI-X)
Comment 8 Erik van Pienbroek 2006-03-17 15:26:42 EST
Would an strace of just before the systeem freeze be of any help ?
Comment 9 Bill Nottingham 2006-03-17 15:44:32 EST
Sure.
Comment 10 Erik van Pienbroek 2006-03-17 17:40:08 EST
Here goes :

open("/proc/ide/ide0/driver", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/proc/ide/ide0/media", O_RDONLY) = -1 ENOENT (No such file or directory)
getdents(3, /* 0 entries */, 8192) = 0
close(3) = 0
readlink("/proc/self/fd/0", "/dev/tty1", 4096) = 9
readlink("/proc/self/fd/1", "/dev/tty1", 4096) = 9
readlink("/proc/self/fd/2", "/dev/tty1", 4096) = 9
open("/dev/console", O_RDWR) = 3
ioctl(3, TIOCLINUX, 0x7fffffcbaf9f) = 0
open("/dev/zero", O_RDWR) = 6
mmap(0x10000, 524288, PROT_READ|PROT_READ|PROT_EXEC, MAP_SHARED|MAP_FIXED, 6, 0)
= 0x10000
close(6) = 0
open("/dev/mem", O_RDWR) = 6
mmap(NULL, 1282, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_SHARED|MAP_FIXED, 6, 0) = 0
mmap(0xa0000, 393216, PROT_READ|PROT_WRITE, MAP_SHARED|MAP_FIXED, 7, 0xa0000) =
0xa0000
close(6) = 0
iopl(0x3) = 0
ioperm(0, 0x400, 0x1) = 0
iopl(0x3) = 0
ioperm(0, 0x400, 0x1) = 0
iopl(0x3) = 0
ioperm(0, 0x400, 0x1) = 0

== freeze ==

This is with all the latest updates from rawhide installed. X.Org is using the
'radeon' driver and the kernel modules 'radeon' and 'drm' are also loaded. The
freeze doesn't occur when the systeem is booted without the 'rhgb' kernel
option. If X.Org has started, afterwards killed (init 3), the kernel modules
'radeon' and 'drm' manually unloaded and kudzu is run, the freeze also occurs.

Hope this info helps.
Comment 11 Bill Nottingham 2006-03-17 17:42:49 EST
Interesting. The freeze only occurs when X is running?
Comment 12 Erik van Pienbroek 2006-03-17 17:46:43 EST
Not only when X is running, but also after X has been killed. As long as X
hasn't started yet, kudzu works just fine.
Comment 13 Erik van Pienbroek 2006-05-29 18:11:17 EDT
This bug no longer exists in the current rawhide (kudzu 1.2.36-2, kernel
2.6.16-1.2227_FC6, xorg-x11-drv-ati-6.6.0-3) so this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.